Question about DFUSec tool

cancel
Showing results for 
Search instead for 
Did you mean: 

Question about DFUSec tool

479 Views
billsheng
Contributor II

Hi NXP Support,

We're using DFUSec for downloading FW with LPC 1857 and QSPI flash(S25FL256SAGNFI001, 32M Bytes) in the past years.

Recently, we got a strange error message, please see the details in the attachment picture.

The QSPI flash was spent from bellower than 16MB to 22MB recently.

We have no idea why there came the error.

What's the means of the error?

Does there have any clue to adjust the programming algorithm file(iram_dfu_util_any.bin.hdr)?

Could someone give us tips to solve the problem?

Thanks a lot for your support.

Labels (2)
Tags (1)
0 Kudos
2 Replies

311 Views
lpcxpresso_supp
NXP Employee
NXP Employee

I suggest that you look at LPCScrypt, which replaced the old DFUSec tool several years ago...

Regards,

MCUXpresso IDE Support

0 Kudos

311 Views
billsheng
Contributor II

Finally, we found some data(e.g.vixttl) type not big enough inside of DFUSec source code.

The problem is solved now.

0 Kudos